Skip to main content
PUT
/
api
/
v2
/
public
/
webhook
/
:id
Update Webhook
curl --request PUT \
  --url https://api.gocobalt.io/api/v2/public/webhook/:id \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "webhook_url": "<string>",
  "webhook_events": [
    "<string>"
  ],
  "is_enabled": true,
  "webhook_type": "<string>"
}
'
    {
        "is_enabled": true,
        "webhook_events": [
            "Connection Created",
            "Connection Deleted",
            "Workflow Completed",
            "Workflow Errored",
            "Connection Expired"
        ],
        "webhook_url": "https://webhook-test.com/558cf4700d31e6ded9b097ca09686439",
        "_id": "66e31564c0287b4136f77ef8",
        "createdAt": "2024-09-12T16:23:00.587Z",
        "webhook_type": "slack"
    }

Documentation Index

Fetch the complete documentation index at: https://docs.refold.ai/llms.txt

Use this file to discover all available pages before exploring further.

This API updates an existing Refold webhook using its unique identifier.

Request description

Path Parameters

id
string
required
Unique webhook id.

Body Parameters

webhook_url
string
Provide the URL where you wish to listen to the event.
webhook_events
string[]
Array of strings of webhooks events to subscribe. Accepted values are, Connection Created, Connection Deleted, Workflow Completed, Workflow Errored, Connection Expired.
is_enabled
boolean
Determines whether the webhook is active or not.
webhook_type
string
The type of webhook. Accepted values are default and slack.

Response description

is_enabled
boolean
Whether the webhook is active or not.
webhook_events
array
Webhook events subscribed.
created_At
string
Timestamp of webhook creation.
webhook_url
string
Webhook URL to listen to the events.
_id
string
Unique ID of the webhook.
webhook_type
string
The type of webhook. Accepted values are default and slack.
    {
        "is_enabled": true,
        "webhook_events": [
            "Connection Created",
            "Connection Deleted",
            "Workflow Completed",
            "Workflow Errored",
            "Connection Expired"
        ],
        "webhook_url": "https://webhook-test.com/558cf4700d31e6ded9b097ca09686439",
        "_id": "66e31564c0287b4136f77ef8",
        "createdAt": "2024-09-12T16:23:00.587Z",
        "webhook_type": "slack"
    }